/**
 * TypeType.java
 *
 * File generated from the core::TypeType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.hpd;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration TypeType.
 *
 */

@XmlType(name = "TypeType")
@XmlEnum
@XmlRootElement(name = "TypeType")
public enum TypeType {
	@XmlEnumValue("notAttempted")
	NOTATTEMPTED("notAttempted"),
	@XmlEnumValue("couldNotConnect")
	COULDNOTCONNECT("couldNotConnect"),
	@XmlEnumValue("connectionClosed")
	CONNECTIONCLOSED("connectionClosed"),
	@XmlEnumValue("malformedRequest")
	MALFORMEDREQUEST("malformedRequest"),
	@XmlEnumValue("gatewayInternalError")
	GATEWAYINTERNALERROR("gatewayInternalError"),
	@XmlEnumValue("authenticationFailed")
	AUTHENTICATIONFAILED("authenticationFailed"),
	@XmlEnumValue("unresolvableURI")
	UNRESOLVABLEURI("unresolvableURI"),
	@XmlEnumValue("other")
	OTHER("other");
	
	private final String value;

    TypeType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static TypeType fromValue(String v) {
        for (TypeType c: TypeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}